summaryrefslogtreecommitdiffstats
path: root/system/tpc/tpc.SlackBuild
diff options
context:
space:
mode:
author Nikos Yotis <giotis.nikos@gmail.com>2014-04-10 07:31:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-10 07:31:31 +0700
commitbc3a95bf5d210c7533523ea89a5df1cd122817c0 (patch)
treeb234546a4c137621a14a45cab4953ce0682d0c69 /system/tpc/tpc.SlackBuild
parentbff607b906fe6e8797dccd8db8a01399c667c2a5 (diff)
downloadslackbuilds-bc3a95bf5d210c7533523ea89a5df1cd122817c0.tar.gz
slackbuilds-bc3a95bf5d210c7533523ea89a5df1cd122817c0.tar.xz
system/tpc: Added (AMD Processors Tweaking Utility).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/tpc/tpc.SlackBuild')
-rw-r--r--system/tpc/tpc.SlackBuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/system/tpc/tpc.SlackBuild b/system/tpc/tpc.SlackBuild
new file mode 100644
index 0000000000..ede2e66010
--- /dev/null
+++ b/system/tpc/tpc.SlackBuild
@@ -0,0 +1,82 @@
+# Copyright 2014 Nikos Yotis <nikos.giotis@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tpc
+VERSION=${VERSION:-0.44rc2}
+RC_VERSION=${RC_VERSION:-0.44-rc2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$RC_VERSION
+tar xvf $CWD/$PRGNAM-$RC_VERSION.tar.gz
+cd $PRGNAM-$RC_VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd $TMP/$PRGNAM-$RC_VERSION/src
+CXXFLAGS="$SLKCFLAGS" make
+mkdir -p $PKG/usr/bin
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/$PRGNAM-$RC_VERSION/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}